summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Melik <dchmelik@gmail.com>2012-08-13 00:50:15 -0500
committer Robby Workman <rworkman@slackbuilds.org>2012-08-13 00:50:15 -0500
commite8a74465f01a6afae0136ff4738be8baafd16e79 (patch)
tree8d77c52c3a69825ae00c9ad7a70d794f674314bd
parent4b4571efef48b02724d7eb6141b41173cb9d8ba4 (diff)
downloadslackbuilds-e8a74465f01a6afae0136ff4738be8baafd16e79.tar.gz
slackbuilds-e8a74465f01a6afae0136ff4738be8baafd16e79.tar.xz
libraries/grx: Added (a 2D graphics C library)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--libraries/grx/README2
-rw-r--r--libraries/grx/grx.SlackBuild81
-rw-r--r--libraries/grx/grx.info10
-rw-r--r--libraries/grx/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/libraries/grx/README b/libraries/grx/README
new file mode 100644
index 0000000000..10e8368da7
--- /dev/null
+++ b/libraries/grx/README
@@ -0,0 +1,2 @@
+GRX is a 2D graphics C library originally written by Csaba Biegl
+for DJ Delorie's DOS port of the GCC compiler.
diff --git a/libraries/grx/grx.SlackBuild b/libraries/grx/grx.SlackBuild
new file mode 100644
index 0000000000..bfca20feca
--- /dev/null
+++ b/libraries/grx/grx.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for GRX
+
+# Written by David Melik <dchmelik @ gmail dot com>
+
+PRGNAM=grx
+VERSION=${VERSION:-248}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ EXTRAOPTS="--enable-x86_64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM$VERSION
+tar xvf $CWD/$PRGNAM$VERSION.tar.gz
+cd $PRGNAM$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Lots of places with this, and probably only one matters, but I'm too lazy
+# to figure out which one, so let's use the big hammer:
+find . -type f -exec sed -i "s,-O2,$SLKCFLAGS,g" {} \;
+
+./configure \
+ --target=console \
+ --target=X11 \
+ --target=sdlx \
+ --enable-jpeg \
+ --enable-png-z \
+ --enable-tiff \
+ $EXTRAOPTS
+
+make
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX} $PKG/usr/include
+make install INSTALLDIR="$PKG/usr"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a copying* doc readme $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/grx/grx.info b/libraries/grx/grx.info
new file mode 100644
index 0000000000..676a2b1da2
--- /dev/null
+++ b/libraries/grx/grx.info
@@ -0,0 +1,10 @@
+PRGNAM="grx"
+VERSION="2.4.8"
+HOMEPAGE="http://grx.gnu.de/"
+DOWNLOAD="http://grx.gnu.de/download/grx248.tar.gz"
+MD5SUM="c4fbeeef428a9dce6c3dc84ab8f574cb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Melik"
+EMAIL="dchmelik@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/grx/slack-desc b/libraries/grx/slack-desc
new file mode 100644
index 0000000000..c286d7ca20
--- /dev/null
+++ b/libraries/grx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+GRX: GRX (a 2D graphics C library)
+GRX:
+GRX: GRX is a 2D graphics C library originaly written by Csaba Biegl
+GRX: for DJ Delorie's DOS port of the GCC compiler.
+GRX:
+GRX: homepage: http://grx.gnu.de/
+GRX:
+GRX:
+GRX:
+GRX:
+GRX: